Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.expression
Class QDoxParser

    java.lang.Object
      org.codehaus.aspectwerkz.expression.QDoxParser

    public class QDoxParser

extends Object

Parses a src tree with `QDox`.

Author:
  Jonas Bonr

Constructor Summary
`QDoxParser(String srcDir)` Adds a source tree to the builder.

Method Summary
`String[]` | `getAllClassNames()` Returns all classes.
`com.thoughtworks.qdox.model.JavaClass` | `getJavaClass()` Returns the QDox JavaClass.
`com.thoughtworks.qdox.model.JavaField[]` | `getJavaFields()` Parses a specific class A returns an array with the methods.
`static String[]` | `getJavaMethodParametersAsStringArray(com.thoughtworks.qdox.model.JavaMethod method)` Transforms the QDox JavaMethod parameters to a String array with the types represented as strings.
`com.thoughtworks.qdox.model.JavaMethod[]` | `getJavaMethods()` Parses a specific class A returns an array with the methods.
`boolean` | `parse(String className)` Parses a specific class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QDoxParser

    public QDoxParser(String srcDir)

  Adds a source tree to the builder.

  Parameters:
    `srcDir` - the source tree

Method Detail

### getJavaMethodParametersAsStringArray

    public static String[] getJavaMethodParametersAsStringArray(com.thoughtworks.qdox.model.JavaMethod method)

  Transforms the QDox JavaMethod parameters to a String array with the types represented as strings.

  Parameters:
    `method` - the JavaMethod
  Returns:
    an array with the types as strings

### parse

    public boolean parse(String className)

  Parses a specific class.

  Parameters:
    `className` - the name of the class to compile
  Returns:
    true if class was found and false otherwise

### getJavaClass

    public com.thoughtworks.qdox.model.JavaClass getJavaClass()

  Returns the QDox JavaClass.

  Returns:
    the QDox JavaClass

### getAllClassNames

    public String[] getAllClassNames()

  Returns all classes.

  Returns:
    a collections with all classes

### getJavaMethods

    public com.thoughtworks.qdox.model.JavaMethod[] getJavaMethods()

  Parses a specific class A returns an array with the methods.

  Returns:
    an array with the methods

### getJavaFields

    public com.thoughtworks.qdox.model.JavaField[] getJavaFields()

  Parses a specific class A returns an array with the methods.

  Returns:
    an array with the methods

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.